package repository

import (
	"context"
	"projectName/internal/model"
)

type IpRepository interface {
	GetIp(ctx context.Context, id int64) (*model.Ip, error)
}

func NewIpRepository(
	repository *Repository,
) IpRepository {
	return &ipRepository{
		Repository: repository,
	}
}

type ipRepository struct {
	*Repository
}

func (r *ipRepository) GetIp(ctx context.Context, id int64) (*model.Ip, error) {
	var ip model.Ip

	return &ip, nil
}
